services:
    _defaults:
        autoconfigure: true

    _instanceof:
        Contao\CoreBundle\Framework\FrameworkAwareInterface:
            calls:
                - [setFramework, ['@contao.framework']]

    contao_faq.listener.insert_tags:
        class: Contao\FaqBundle\EventListener\InsertTagsListener
        arguments:
            - '@contao.framework'
            - '@contao.routing.content_url_generator'

    contao_faq.listener.sitemap:
        class: Contao\FaqBundle\EventListener\SitemapListener
        arguments:
            - '@contao.framework'
            - '@security.helper'
            - '@contao.routing.content_url_generator'

    contao_faq.picker.faq_provider:
        class: Contao\FaqBundle\Picker\FaqPickerProvider
        arguments:
            - '@knp_menu.factory'
            - '@router'
            - '@?translator'
            - '@security.helper'

    contao_faq.routing.faq_resolver:
        class: Contao\FaqBundle\Routing\FaqResolver
        arguments:
            - '@contao.framework'

    contao_faq.security.faq_access_voter:
        class: Contao\FaqBundle\Security\Voter\FaqAccessVoter
        arguments:
            - '@security.access.decision_manager'

    contao_faq.security.faq_category_access_voter:
        class: Contao\FaqBundle\Security\Voter\FaqCategoryAccessVoter
        arguments:
            - '@security.access.decision_manager'
